.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  padding: 14px 0;
  backdrop-filter: blur(11.399999618530273px);
  background: rgba(0, 0, 0, 0.5);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.page-nav {
  display: none;
}

.menu-btn {
  display: block;
  margin-left: auto;

  svg {
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover,
.menu-btn:focus {
  svg {
    stroke: #8f0002;
  }
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 43px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  text-align: center;
  color: #fff;
  transition:
    color 0.3s ease,
    text-shadow 0.3s ease;
}

.active {
  color: #8f0002;
}

.page-nav-link:hover {
  color: #8f0002;
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 30px 0;
  }

  .menu-btn {
    display: none;
  }

  .page-nav {
    display: block;
    margin: 0 auto;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 80px;
  left: 0;
  width: 100%;
  padding: 60px 30px;
  z-index: 8;
  transform: translateY(-140%);
  transition: transform 1s ease;
  backdrop-filter: blur(11.399999618530273px);
  background: rgba(0, 0, 0, 0.5);
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 34px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  border-radius: 30px;
  left: 50%;
  padding: 21px;
  border: 1px solid #fff;
  backdrop-filter: blur(11.399999618530273px);
  background: rgba(0, 0, 0, 0.5);
  transform: translateX(-50%);

  transition: transform 0.4s ease;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 100%;
  color: #fff;
  margin-bottom: 22px;

  a {
    text-decoration: underline;
    text-decoration: underline;
  }

  a:hover {
    color: #8f0002;
  }
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fff;
  display: block;
  width: fit-content;
  border-radius: 16px;
  padding: 10px 16px;
  margin: 0 auto;
  border: 1px solid #fff;
  text-align: center;
  transition:
    color 0.2s ease,
    background-color 0.2s ease;
}

.popup-btn:hover {
  background-color: #8f0002;
}

.popup-wrap {
  display: flex;
  justify-content: center;
  gap: 17px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    padding: 28px;
  }

  .popup-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 140px;
  }

  .popup-text {
    font-size: 20px;
    margin: 0;
  }

  .popup-btn {
    font-size: 20px;
    margin: 0;
    flex-shrink: 0;
  }
}

/* hero  */

.dashboard {
  padding-top: 90px;
}

.main {
  position: relative;
  overflow: hidden;
}

.bg {
  position: absolute;
  width: 600px;
  left: 50%;
  bottom: 0;
  transform: translateX(-20%);
  max-width: max-content;
  z-index: -1;
  opacity: 0.2;
}

.title {
  font-family: var(--font-family);
  font-weight: 900;
  font-size: 28px;
  line-height: 100%;
  text-transform: uppercase;
  color: #8f0002;
  margin-bottom: 12px;
}

.text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 20px;
  line-height: 112%;
  letter-spacing: -0.03em;
  color: #fff;
  margin-bottom: 12px;
}

.desc {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: -0.08em;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding-top: 143px;
  }

  .title {
    font-size: 48px;
    margin-bottom: 68px;
  }

  .text {
    font-size: 36px;
    max-width: 832px;
    margin-bottom: 68px;
  }

  .desc {
    font-size: 24px;
    max-width: 528px;
  }

  .bg {
    width: 900px;
    /* bottom: -140px; */
    left: 50%;
    transform: translateX(20%);
  }
}

/* footer */

.footer {
  padding: 14px;
}

.footer-container {
  display: flex;
  flex-direction: column;
  gap: 26px;
  align-items: center;
}

.footer-desc {
  p {
    font-family: var(--font-family);
    font-weight: 900;
    font-size: 14px;
    line-height: 100%;
    text-align: center;
    color: #fff;
    margin-bottom: 13px;
  }

  span {
    display: block;
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 14px;
    line-height: 199%;
    text-align: center;
    color: #fff;
  }
}

.footer-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  margin-bottom: 19px;

  a {
    font-family: var(--font-family);
    font-weight: 700;
    font-size: 14px;
    line-height: 100%;
    text-align: center;
    letter-spacing: -1px;
    color: #8f0002;
  }

  a:hover {
    text-decoration: underline;
  }
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  line-height: 100%;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 52px 0;
  }

  .footer-container {
    flex-direction: row;
    align-items: flex-start;
    gap: 200px;
  }

  .footer-desc {
    width: 252px;
    p {
      font-size: 14px;
      margin-bottom: 20px;
    }

    span {
      font-size: 14px;
    }
  }

  .footer-list {
    align-items: center;
    flex-direction: column;
    gap: 12px;
    margin-bottom: 43px;

    a {
      font-size: 20px;
    }
  }

  .footer-text {
    font-size: 14px;
  }
}

/* animation  */

.coins-layer {
  position: fixed;
  inset: 0;
  pointer-events: none;
  overflow: hidden;
  z-index: 2; /* поверх контента */
}

/* контейнер монеты — отвечает ТОЛЬКО за падение */
.coin {
  position: absolute;
  top: -120px;
  left: 0;
  width: var(--size, 44px);
  height: var(--size, 44px);

  animation: coin-fall var(--fall, 12s) linear forwards;
}

/* внутренняя часть — отвечает ТОЛЬКО за вращение */
.coin__img {
  width: 100%;
  height: 100%;
  background: url("../img/ribbon.png") no-repeat center / contain;

  animation: coin-rot var(--rot, 18s) linear infinite;
}

@keyframes coin-fall {
  to {
    transform: translateY(calc(100vh + 220px));
  }
}

@keyframes coin-rot {
  to {
    transform: rotate(180deg); /* лёгкое, не “вертолёт” */
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(0);
}

.popup-click {
   transform: translateY(150%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
